using System.Drawing;

namespace SlatedGameToolkit.Framework.Utilities
{
    public static class ColorUtils
    {
        public static float RedAsFloat(this Color color) {
            return (float) color.R / byte.MaxValue;
        }
        public static float GreenAsFloat(this Color color) {
            return (float) color.G / byte.MaxValue;
        }
        public static float BlueAsFloat(this Color color) {
            return (float) color.B / byte.MaxValue;
        }
        public static float AlphaAsFloat(this Color color) {
            return (float) color.A / byte.MaxValue;
        }
    }
}